package com.njcn.pojo.commons.area;

import java.io.Serializable;

public class EventPz implements Serializable {
	// 暂降事件Id
	private String indexEventDetail;
	// 事件发生时间的毫秒计时
	private int msec;
	// 事件描述
	private String events;
	// 线路序号
	private int indexPoint;
	// 母线名称
	private String nameSubV;
	// 变电站名称
	private String nameBD;
	// 供电公司
	private String nameGD;

	public String getIndexEventDetail() {
		return indexEventDetail;
	}

	public void setIndexEventDetail(String indexEventDetail) {
		this.indexEventDetail = indexEventDetail;
	}

	public int getMsec() {
		return msec;
	}

	public void setMsec(int msec) {
		this.msec = msec;
	}

	public String getEvents() {
		return events;
	}

	public void setEvents(String events) {
		this.events = events;
	}

	public int getIndexPoint() {
		return indexPoint;
	}

	public void setIndexPoint(int indexPoint) {
		this.indexPoint = indexPoint;
	}

	public String getNameSubV() {
		return nameSubV;
	}

	public void setNameSubV(String nameSubV) {
		this.nameSubV = nameSubV;
	}

	public String getNameBD() {
		return nameBD;
	}

	public void setNameBD(String nameBD) {
		this.nameBD = nameBD;
	}

	public String getNameGD() {
		return nameGD;
	}

	public void setNameGD(String nameGD) {
		this.nameGD = nameGD;
	}

	// 监测点名称
	private String lineName;

	// 发生时刻
	private String time;

	// 持续时间
	private Float persistTime;

	// 幅值
	private Float eventValue;

	//暂降类型
	private String eventType;

	public String getEventType() {
		return eventType;
	}

	public void setEventType(String eventType) {
		this.eventType = eventType;
	}

	public String getLineName() {
		return lineName;
	}

	public void setLineName(String lineName) {
		this.lineName = lineName;
	}

	public String getTime() {
		return time;
	}

	public void setTime(String time) {
		this.time = time;
	}

	public Float getPersistTime() {
		return persistTime;
	}

	public void setPersistTime(Float persistTime) {
        if (persistTime == null) {
            this.persistTime = 0f;
            return;
        }

        float f1 = (float) (Math.round(persistTime.floatValue() * 1000)) / 1000;
        this.persistTime = new Float(f1);
	}

	public Float getEventValue() {
		return eventValue;
	}

	public void setEventValue(Float eventValue) {
		this.eventValue = eventValue;
	}

	@Override
	public String toString() {
		return "EventPz [lineName=" + lineName + ", time=" + time + ", persistTime=" + persistTime + ", eventValue="
				+ eventValue + ", indexEventDetail=" + indexEventDetail + ", msec=" + msec + ", events=" + events
				+ ", indexPoint=" + indexPoint + ", nameSubV=" + nameSubV + ", nameBD=" + nameBD + ", nameGD=" + nameGD+ ", eventType=" + eventType
				+ "]";
	}

}
